@echo off

rem
rem Copyright (c) 2004-2008,2012-2013 Progress Software Corporation. All Rights Reserved.
rem Copyright (c) 2013-2019 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.
rem Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG
rem
rem Defines the Apama runtime environment. Can be used to run a single command without setting the parent environment
rem
rem Usage:
rem
rem  apama_env
rem
rem  apama_env correlator --config myproject


if not "%~1" == "" ( setlocal )

set APAMA_DIR=%~dp0..

rem
rem If this script already called to setup environment do nothing. This is to
rem prevent duplication in path settings.
rem

if defined APAMA_ENVSET ( goto DEFINED ) ELSE (goto UNDEFINED)

:DEFINED

rem 
rem Please note the use of gotos is by design to avoid numerous issues 
rem batch scripts have when variable values may contain parenthesis
rem (e.g. values like Program Files (x86) )
rem 

if "%APAMA_ENVSET%" == "10.7:%APAMA_DIR%:amd64-win" ( goto END) else (goto USAGE)

:USAGE
echo WARNING: Apama environment already defined for a different installation, version or platform.
echo Cannot redefine environment - use a clean shell.
echo Continuing to use installation in %APAMA_HOME%
goto END


:UNDEFINED

rem allow APAMA_HOME to be overridden by setting it in the environment before 
rem calling the script
if not defined APAMA_HOME set "APAMA_HOME=%APAMA_DIR%"

set APAMA_ENVSET=10.7:%APAMA_HOME%:amd64-win

if "%~1" == "" (
echo.
echo Defining Apama 10.7 runtime environment.
echo.
)
set APAMA_LIBRARY_VERSION=10.7
set APAMA_PLATFORM=amd64-win

rem Warning about JAVA_HOME not being set
if not defined JAVA_HOME echo WARNING: JAVA_HOME not set, Java functionality disabled

rem JRE_HOME from JAVA_HOME if not set
if not defined JRE_HOME set "JRE_HOME=%JAVA_HOME%\jre"

if not defined APAMA_JRE set "APAMA_JRE=%JRE_HOME%"

if not defined APAMA_WORK set "APAMA_WORK=%PUBLIC%\SoftwareAG\ApamaWork_10.7"
if not exist "%APAMA_WORK%" mkdir %APAMA_WORK%
if not exist "%APAMA_WORK%\lib" mkdir %APAMA_WORK%\lib

set PATH=%APAMA_WORK%\lib;%APAMA_HOME%\bin;%APAMA_HOME%\..\common\security\openssl\bin;%APAMA_JRE%\bin\server;%APAMA_JRE%\bin;%ANT_HOME%\bin;%APAMA_JRE%\..\bin;%PATH%

set PYTHONPATH=%PYTHONPATH%;%APAMA_HOME%\third_party\python\Lib\site-packages

set SSL_CERT_FILE=%APAMA_HOME%\..\common\security\openssl\cert.pem

:END
if not "%~1" == "" (
 if "%~1" == "--help" (
  echo Usage: apama_env.bat ^<command^> [^<argument^>...] 
 ) else ( if "%~1" == "-h" ( 
  echo Usage: apama_env.bat ^<command^> [^<argument^>...] 
 ) else ( if "%~1" == "/?" (
  echo Usage: apama_env.bat ^<command^> [^<argument^>...] 
 ) else (
  set DUMMY=empty
  %* 
 ) ) )
 endlocal 
)
set APAMA_DIR=

