/*
 * AJAX functions for the debugger when viewed in a web browser.
 *
 * $Copyright(c) 2009 Progress Software Corporation (PSC). All rights reserved.$
 * $Copyright (c) 2013 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$
 * Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG
 */
function reload()
{
	window.location.reload();
}

function addhandler(req) {
	req.onreadystatechange=function handler() {
		if (req.readyState == 4) {
			if (200 != req.status) {
				alert("Request failed: "+req.statusText);
			}
			reload();
		}
	}
}

function putProperty(address, name, value)
{
	var req = initXHR();
	addhandler(req);
	req.open('PUT', address);
	req.send('<map name="apama-request"><prop name="'+name+'">'+value+'</prop></map>');
}

function put(address, payload)
{
	if (undefined === payload) {
		payload = '<map name="apama-request"></map>';
	}
	var req = initXHR();
	addhandler(req);
	req.open('PUT', address);
	req.send(payload);
}

function putCallback(address, payload, callback)
{
	var req = initXHR();
	req.onreadystatechange=function handler() { callback(req); };
	req.open('PUT', address);
	req.send(payload);
}

function del(address)
{
	var req = initXHR();
	addhandler(req);
	req.open('DELETE', address, true);
	req.send('<map name="apama-request"></map>');
}

